Retrieve item
curl --request GET \
--url https://api.neuronsearchlab.com/v1/items/{item_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuronsearchlab.com/v1/items/{item_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuronsearchlab.com/v1/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7f3a2c9e",
"object": "item",
"name": "Wireless Headphones",
"description": "Noise-cancelling Bluetooth headphones.",
"metadata": {
"category": "electronics",
"brand": "Acme"
},
"active": true,
"created": 1777478400,
"updated_at": 1777478500
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "Validation error",
"details": {
"fieldErrors": {
"name": [
"Required"
]
}
}
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized_no_client_id_in_jwt",
"message": "Unauthorized: No client ID in JWT"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"type": "not_found_error",
"code": "item_not_found",
"message": "Item not found"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Items
Retrieve item
Retrieve a single catalog item.
GET
/
v1
/
items
/
{item_id}
Retrieve item
Request
GET /v1/items/7f3a2c9e
Response
{
"id": "7f3a2c9e",
"object": "item",
"name": "Wireless Headphones",
"description": "Noise-cancelling Bluetooth headphones.",
"metadata": {
"category": "electronics"
},
"active": true,
"created": 1777478400,
"updated_at": 1777478400
}
Errors
| Status | Scenario |
|---|---|
400 | Malformed item ID |
404 | Item does not exist for the authenticated tenant |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Public item ID.
Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$Response
Item
Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$Example:
"7f3a2c9e"
Available options:
item Example:
"Wireless Headphones"
Example:
"Noise-cancelling Bluetooth headphones."
Arbitrary JSON object used for filtering, ranking, and debugging.
Example:
{
"category": "electronics",
"brand": "Acme",
"price": 10999,
"currency": "usd"
}
Example:
true
Unix timestamp in seconds.
Example:
1777478400
Unix timestamp in seconds.
Example:
1777478500
Was this page helpful?
⌘I

